import { useReducer } from 'react';
import { nextState } from '../util/StateHelper';

export const leaderboardInitialState = {
  table: null,
};

export function leaderboardReducer(state, action) {
  switch (action.type) {

    case 'next': 
      return nextState(state, action);

    default:
      throw Error('LeaderboardReducer: Unknown action.type', action.type);
  }
}

export default function useLeaderboardReducer() {
  return useReducer(leaderboardReducer, leaderboardInitialState);
}